AM_IsEnabled = false;
AM_UnitPlayerFaction = UnitFactionGroup("player");
AM_AssignedRaidSymbol = 8;
AM_ZoneReminderEnabled = true;

if(AM_UnitPlayerFaction == "Альянс") then
	AM_OppositePlayerFaction = "Орда";
elseif(AM_UnitPlayerFaction == "Орда") then
	AM_OppositePlayerFaction = "Альянс";
end

function AM_SlashCommand(cmd, arg2)
	if(cmd == "settings") then AM_OptionsFrame:Show(); end
	if(cmd == "on" or cmd == "enable")     then SetEnable(true); end
	if(cmd == "off" or cmd == "disable")    then SetEnable(false); end
	if(cmd == "symbol") then DEFAULT_CHAT_FRAME:AddMessage(arg2); end
end

SLASH_AUTOMARK1 = "/am";
SLASH_AUTOMARK2 = "/automark";
SlashCmdList["AUTOMARK"] = AM_SlashCommand;

function MarkTarget(markID)
	if(GetRaidTargetIndex("target") == nil or GetRaidTargetIndex("target") < AM_AssignedRaidSymbol) then
		if((IsRaidLeader() or IsRaidOfficer() or IsPartyLeader()) and GetRaidTargetIndex("target") ~= markID and UnitFactionGroup("target") ~= AM_OppositePlayerFaction)then
			SetRaidTargetIcon("target", markID);
		end
	end
end



function SetAssignedRaidSymbol(ID)
	AM_AssignedRaidSymbol = ID;
	if(ID == 8) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Череп");
	elseif(ID == 7) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Крест");
	elseif(ID == 6) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Квадрат");
	elseif(ID == 5) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Луна");
	elseif(ID == 4) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Треугольник");
	elseif(ID == 3) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Ромб");
	elseif(ID == 2) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Круг");
	elseif(ID == 1) then
		DEFAULT_CHAT_FRAME:AddMessage("Ваш назначенный рейд символ: Звезда");
	end
end

function SetEnable(status)
	AM_IsEnabled = status;
	if(status ~= true) then
		DEFAULT_CHAT_FRAME:AddMessage("Маркирование отключено.");
	else
		DEFAULT_CHAT_FRAME:AddMessage("Маркирование включено.");
	end
end

function SetZoneinEnable(status)
	AM_ZoneReminderEnabled = status;
	if(status ~= true) then
		DEFAULT_CHAT_FRAME:AddMessage("Напоминание о зоне отключено.");
	else
		DEFAULT_CHAT_FRAME:AddMessage("Напоминание о зоне включено.");
	end
end
